Page MenuHomePhabricator

Rename `Image-reviewer` to `image-reviewer`, then migrate all its members
Closed, ResolvedPublic

Description

Image-reviewer is a user group used in Wikimedia Commons and fawiki. User groups are all defined in lowercase in code. We should

  1. rename the group where it is used in InitialiseSettings.php and elsewhere in wmf-config.
  2. rename the keys to use lowercases in WikimediaMessages / cherry-pick and merge to the current wmf branch(es).
  3. migrate existing members using the migrateUserGroups.php maintenance script

This needs to be done all in the same SWAT window to avoid issues so I'll need some time to find the appropriate time to do it right.

Event Timeline

MarcoAurelio triaged this task as Low priority.Feb 18 2019, 12:41 PM
MarcoAurelio created this task.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptFeb 18 2019, 12:41 PM

Change 520274 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Rename Image-reviewer to image-reviewer

https://gerrit.wikimedia.org/r/520274

Change 520283 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Rename Image-reviewer to image-reviewer

https://gerrit.wikimedia.org/r/520283

Change 520285 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@wmf/1.34.0-wmf.11] Rename Image-reviewer to image-reviewer

https://gerrit.wikimedia.org/r/520285

Urbanecm claimed this task.Jul 2 2019, 5:51 PM
Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 2 2019, 5:51 PM

Change 520274 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Rename Image-reviewer to image-reviewer

https://gerrit.wikimedia.org/r/520274

MarcoAurelio added a comment.EditedJul 2 2019, 6:00 PM

According to this query, AbuseFilters # 70, 180 and 192 would need their syntax to use image-reviewer instead of Image-reviewer.

@Billinghurst or @Jdforrester-PERSONAL : as a commons administrator, would you be able to alter those filters to support, for now, both Image-reviewer and image-reviewer? The first can be removed once this process is finished.

Thanks.

All three migrated to support both image-reviewer and Image-reviewer (but note that #70 adds a tag that we'll probably want to rename too?). Should we fix filter #182 too, even though it's disabled?

All three migrated to support both image-reviewer and Image-reviewer

Thanks!

(but note that #70 adds a tag that we'll probably want to rename too?).

I think we can do it. Maybe tomorrow?

Should we fix filter #182 too, even though it's disabled?

Why not? :)

Change 520291 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Keep both image-reviewer and Image-reviewer

https://gerrit.wikimedia.org/r/520291

Change 520291 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Keep both image-reviewer and Image-reviewer

https://gerrit.wikimedia.org/r/520291

Change 520285 abandoned by Urbanecm:
Rename Image-reviewer to image-reviewer

Reason:
no longer necessary

https://gerrit.wikimedia.org/r/520285

Urbanecm moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

The WikimediaMessages were successfully deployed by the train. As such, there should be no blocker to deploy this. I've scheduled this for tomorrow EU SWAT.

Change 523006 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Create image-reviewer for commonswiki with same rights as Image-reviewer

https://gerrit.wikimedia.org/r/523006

Urbanecm updated the task description. (Show Details)Jul 14 2019, 10:22 PM

The WikimediaMessages were successfully deployed by the train. As such, there should be no blocker to deploy this. I've scheduled this for tomorrow EU SWAT.

Unfortunately, I've found a blocker. https://commons.wikimedia.org/wiki/MediaWiki:Grouppage-image-reviewer needs to be created with same content as https://commons.wikimedia.org/wiki/MediaWiki:Grouppage-Image-reviewer, otherwise, the link on Special:UserGroupRights will break.

Change 523006 merged by jenkins-bot:
[operations/mediawiki-config@master] Create image-reviewer for commonswiki with same rights as Image-reviewer

https://gerrit.wikimedia.org/r/523006

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:08:27Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: [[:gerrit:523006|Create image-reviewer for commonswiki with same rights as Image-reviewer]] (T216406) (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:11:04Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Disallow admins to grant or revoke image reviewer due to migration (T216406) (duration: 00m 50s)

Change 523137 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Disallow admins to grant or remove image reviewer group

https://gerrit.wikimedia.org/r/523137

Change 523137 merged by jenkins-bot:
[operations/mediawiki-config@master] Disallow admins to grant or remove image reviewer group

https://gerrit.wikimedia.org/r/523137

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:13:24Z] <Urbanecm> Running mwscript migrateUserGroup.php --wiki=commonswiki Image-reviewer image-reviewer for T216406

Change 520283 merged by jenkins-bot:
[operations/mediawiki-config@master] Rename Image-reviewer to image-reviewer for Commons

https://gerrit.wikimedia.org/r/520283

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:48:37Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: [[:gerrit:520283|Rename Image-reviewer to image-reviewer for Commons]] (1/2, T216406) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:49:43Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:520283|Rename Image-reviewer to image-reviewer for Commons]] (2/2, T216406) (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-07-15T11:52:39Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Regrant image reviewers on commonswiki the ability to mass upload (T216406) (duration: 00m 50s)

Change 523143 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Regrant image-reviewers@commonswiki mass-upload right

https://gerrit.wikimedia.org/r/523143

Change 523143 merged by Urbanecm:
[operations/mediawiki-config@master] Regrant image-reviewers@commonswiki mass-upload right

https://gerrit.wikimedia.org/r/523143

Almost everything went well. For some reason, the Image-reviewer group is still in commonswiki, with just mass-upload right. Going to investigate that...

Mentioned in SAL (#wikimedia-operations) [2019-07-15T12:00:24Z] <Urbanecm> Running mwscript initSiteStats.php --wiki=commonswiki --update to update Special:Statistics after a big change (T216406)

Change 523151 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Delete Image-reviewer group from commonswiki for good

https://gerrit.wikimedia.org/r/523151

Change 523151 merged by jenkins-bot:
[operations/mediawiki-config@master] Delete Image-reviewer group from commonswiki for good

https://gerrit.wikimedia.org/r/523151

Change 523157 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Delete Image-reviewer group from commonswiki for good

https://gerrit.wikimedia.org/r/523157

Change 523157 merged by jenkins-bot:
[operations/mediawiki-config@master] Delete Image-reviewer group from commonswiki for good

https://gerrit.wikimedia.org/r/523157

Mentioned in SAL (#wikimedia-operations) [2019-07-15T12:52:55Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: Delete Image-reviewer group from commonswiki for good (T216406) (duration: 00m 51s)

Almost everything went well. For some reason, the Image-reviewer group is still in commonswiki, with just mass-upload right. Going to investigate that...

The group is defined in UploadWizard's extension.json. I've unset that group in operations/mediawiki-config, but to resolve T216405: Cannot update to banana 0.7.0 WikimediaMessages due to keys in uppercases, we'd need to solve it inside extension.json directly. Honestly, I don't think we should create that group in the extension at all. @MarcoAurelio, opinions?

Thanks for moving this forward and having it done. I agree. I'd file a task against UploadWizard and ask them to rename the Image-reviewer permission in extension.json -or- remove it from the file. I don't know which option would be better.

Mentioned in SAL (#wikimedia-releng) [2019-07-15T16:04:07Z] <Urbanecm> Run urbanecm@deployment-deploy01:~$ mwscript migrateUserGroup.php --wiki=commonswiki Image-reviewer image-reviewer (T216406)

@MarcoAurelio Ping me once you're ready to do this for the next wiki!

Urbanecm moved this task from To deploy to Working on on the Wikimedia-Site-requests board.
Urbanecm added a subscriber: Urbanecm.

Reassign to me once this is ready.

@Urbanecm What do you have in mind?

@Urbanecm What do you have in mind?

I don't know, you told me that we should do commonswiki, and then the other wiki (fawiki?). I thought you want to check something/do some prep or whatever :-).

Change 526196 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Rename Image-reviewer to image-reviewer on fawiki

https://gerrit.wikimedia.org/r/526196

Urbanecm claimed this task.Jul 29 2019, 6:14 PM

Seems there is nothing necessary, abuse filters looks sane, processing then.

Change 526196 merged by jenkins-bot:
[operations/mediawiki-config@master] Rename Image-reviewer to image-reviewer on fawiki

https://gerrit.wikimedia.org/r/526196

Mentioned in SAL (#wikimedia-operations) [2019-07-29T18:19:50Z] <Urbanecm> Run mwscript migrateUserGroup.php --wiki=fawiki Image-reviewer image-reviewer (T216406)

Mentioned in SAL (#wikimedia-operations) [2019-07-29T18:21:55Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:526196|Rename Image-reviewer to image-reviewer on fawiki]] (T216406) (duration: 00m 47s)

Urbanecm closed this task as Resolved.Jul 29 2019, 6:22 PM

Image-reviewer is gone everywhere! The messages for the capital version still exists through, but I don't think removing them falls into this task.

Thanks @Urbanecm :-)

I'll ask translatewiki.net people to remove the uppercase messages from the WikimediaMessages repo, now that they're unused, so we can move forward (unless you know how to do it; I don't know how to mass remove from many files).